﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace GameWebRole.Data
{
    public class DataHelper
    {
        private static List<int> CardList;

        /// <summary>
        /// カードを引きます。
        /// </summary>
        /// <returns></returns>
        public static int GetCard()
        {
            // 1から10の間の乱数を取得します。
            Random random = new Random();

            int newCardNumber = random.Next(1, 10);

            return newCardNumber;
        }

        /// <summary>
        /// カードを保存します。
        /// ※本来はTableまたはSQL Azureに保存する処理です。
        /// </summary>
        /// <param name="newCardNumber"></param>
        public static void SaveCard(int newCardNumber)
        {
            if (CardList == null)
            {
                CardList = new List<int>();
            }

            CardList.Add(newCardNumber);
        }
        
        /// <summary>
        /// カード一覧を取得します。
        /// ※本来はTableまたはSQL Azureからデータを取得する処理です。
        /// </summary>
        /// <returns></returns>
        public static List<int> SelectCard()
        {
            List<int> returnValue = new List<int>();

            if (CardList != null)
            {
                var orderdCardList = from card in CardList
                                     orderby card ascending
                                     select card;

                returnValue = orderdCardList.ToList<int>();
            }

            return returnValue;
        }
    }
}